Tool: get_case
Retrieve a specific Google Cloud support case. The case name must be provided in the format: projects/{project}/cases/{case}
The following sample demonstrate how to use curl to invoke the get_case MCP tool.
| Curl Request |
|---|
curl --location 'https://cloudsupport.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_case", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
The request message for the GetCase endpoint.
GetCaseRequest
| JSON representation |
|---|
{ "name": string } |
| Fields | |
|---|---|
name |
Required. The full name of a case to be retrieved. |
Output Schema
The response message for the GetCase endpoint.
GetCaseResponse
| JSON representation |
|---|
{
"case": {
object ( |
| Fields | |
|---|---|
case |
The support case. |
Case
| JSON representation |
|---|
{ "name": string, "displayName": string, "description": string, "classificationId": string, "classificationDisplayName": string, "subscriberEmailAddresses": [ string ], "state": enum ( |
| Fields | |
|---|---|
name |
Output only. Identifier. The resource name for the case. |
displayName |
The short summary of the issue reported in this case. |
description |
A broad description of the issue. |
classificationId |
Required. A Case Classification represents the topic that a case is about. The classification_id is the unique ID for a classification. |
classificationDisplayName |
A human readable display name for the classification. |
subscriberEmailAddresses[] |
The email addresses to receive updates on this case. |
state |
Output only. The current status of the support case. |
createTime |
Output only. The time this case was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
updateTime |
Output only. The time this case was last updated. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
creatorDisplayName |
Output only. The display name of the case creator. If not provided, it is inferred from credentials supplied during creation. This will be obfuscated if the user is a Google Support agent. |
creatorUsername |
Output only. The username of the case creator. It may look like an email or other format provided by the identity provider. If not provided, it is inferred from the credentials supplied. When a |
creatorGoogleSupport |
Output only. Whether the creator is a Google support actor. |
escalated |
Whether the case is currently escalated. |
priority |
The priority of this case. |
testCase |
Whether this case was created for internal API testing and should not be acted on by the support team. |
timeZone |
The timezone of the user who created the support case. It is in a format IANA recognizes: https://www.iana.org/time-zones. |
languageCode |
The language the user has requested to receive support in. This is a BCP 47 language code (e.g., |
contactEmail |
A user-supplied email address to send case update notifications for. This should only be used in BYOID flows, where we cannot infer the user's email address directly from their EUCs. |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
State
The status of a support case.
| Enums | |
|---|---|
STATE_UNSPECIFIED |
Case is in an unknown state. |
NEW |
The case has been created but no one is assigned to work on it yet. |
IN_PROGRESS_GOOGLE_SUPPORT |
The case is currently being handled by Google support. |
ACTION_REQUIRED |
Google is waiting for a response. |
SOLUTION_PROVIDED |
A solution has been offered for the case, but it isn't yet closed. |
CLOSED |
The case has been resolved. |
Priority
The case Priority. P0 is most urgent and P4 the least.
| Enums | |
|---|---|
PRIORITY_UNSPECIFIED |
Priority is undefined or has not been set yet. |
P0 |
Extreme impact on a production service. Service is hard down. |
P1 |
Critical impact on a production service. Service is currently unusable. |
P2 |
Severe impact on a production service. Service is usable but greatly impaired. |
P3 |
Medium impact on a production service. Service is available, but moderately impaired. |
P4 |
General questions or minor issues. Production service is fully available. |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌